HomeGuidesAPI ReferenceChangelog
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Get per second statistics from a ECOS appliance

Tunnel stats: Set 'type' to 'tunnel'. Set 'name' to one of the tunnel names or 'pass-through' or 'pass-through-unshaped'. 'filter' is not used for tunnel statistics.
TrafficType stats: Set the 'type' to 'trafficType' to retrieve two aggregate real-time stats: optimized, all-traffic. For optimized, set 'name' to '0' and for all-traffic, set 'name' to '3'. 'filter' is not used.
Application stats: Set 'type' to 'app'. Set 'name' to application name. 'filter' is required.
DSCP stats: Set 'type' to 'dscp', set name to one of DSCP values from '0' to '63'. 'filter' is required.(Possible 'filter' values are '0' for optimized_traffic,'1' for pass_through_shaped,'2' for pass_through_unshaped,'3' for all_traffic)
MOS stats: Set 'name' to tunnel id, set 'type' to tunnel.
Traffic Class Stats: set 'type' to 'trafficClass', set 'name' to one of traffic classes from '0' to '9'. 'filter' is required.
Flow stats: set type to 'flow', name to '0' for TCP accelerated, '1' for TCP unaccelerated and '2' for non-TCP flows. 'filter' is required.(Possible 'filter' values are '0' for optimized_traffic,'1' for pass_through_shaped,'2' for pass_through_unshaped,'3' for all_traffic)
Shaper stats: Set 'type' to 'shaper'. Set 'name' to one of traffic classes from '0' to '9'.'filter' to traffic direction('0' for Outbound and '1' for Inbound).
Drops stats: Set 'type' to 'drops'. Set 'name' to empty string.
Interface stats: Set 'type' to 'interface'. Set 'name' to interface name.Set 'filter' to traffic type.(Possible 'filter' values are '0' for optimized_traffic,'1' for pass_through_shaped,'2' for pass_through_unshaped,'3' for all_traffic)
Important: Appliances store per second statistics for 3 seconds. You must poll at a frequency faster than 3 seconds to make sure to not have gaps in the results. The result format for all statistics looks like: '{'nameofstat': [time, value], [time, value], [time, value]}' where you get statistics for last three seconds.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Appliance primary key

Body Params
string
string
Response
200

No response was specified

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!